
Redmine - Feature #13425

Ignore X-Autoreply mails

2013-03-11 08:34 - Maxim Krušina

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Maxim Krušina % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 3.0.0   

Resolution: Fixed   

Description

When someone of our team has autoresponder ON (vacation, etc.) it's very annoying that these autoreply messages are parsed into

the ticket's stream.

I guess that there can be really easy sollution:

Parse header for specific string, if it is auto-reply, simply don't process.

We're using Google Apps, in this case it seems to be this:

X-Autoreply: yes

but probably, there will be more standards:

http://feedback.uservoice.com/forums/1-general-feedback/suggestions/3131536-add-auto-reply-detection-to-inbound-email-

PS: yep. still stucked to: 1.3.1.stable.8922, I'll upgrade to 2.x soon :)

Related issues:

Related to Redmine - Defect #15999: Ignoring out of office emails Closed

Associated revisions

Revision 13738 - 2014-12-12 05:58 - Toshi MARUYAMA

ignore X-Autoreply mails (#15999, #13425)

Contributed by Karel Pičman.

History

#1 - 2013-03-11 23:54 - Mischa The Evil

Maxim, hasn't this been covered by #2879, #2984, #9534, #10607 and #10835?

#2 - 2013-03-12 00:01 - Maxim Krušina

- Status changed from New to Needs feedback

- Assignee set to Maxim Krušina

- Priority changed from High to Low

Probably by this one: #10607

We will upgrade to 1.4.x and then I'll check it again

#3 - 2014-12-12 05:35 - Toshi MARUYAMA

- Related to Defect #15999: Ignoring out of office emails added

#4 - 2014-12-12 05:40 - Toshi MARUYAMA

- Subject changed from Dont parse autoreply emails into the issue feed (or elsewhere) to Ignore X-Autoreply mails

- Status changed from Needs feedback to New

- Target version set to 3.0.0
#5 - 2014-12-12 06:36 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Committed in trunk r13738.
